Index: configure.in
===================================================================
RCS file: /cvsroot/squid/squid/configure.in,v
retrieving revision 1.68
diff -u -p -r1.68 configure.in
--- configure.in	20 Sep 2002 21:45:56 -0000	1.68
+++ configure.in	26 Sep 2002 18:48:01 -0000
@@ -447,6 +447,9 @@ AC_ARG_ENABLE(icmp,
     AC_DEFINE(USE_ICMP)
     OPT_PINGER='pinger'
     OPT_PINGER_EXE='pinger$(EXEEXT)'
+    AM_CONDITIONAL(ENABLE_PINGER, true)
+  else
+    AM_CONDITIONAL(ENABLE_PINGER, false)
   fi
 ])
 AC_SUBST(OPT_PINGER)
Index: src/Makefile.am
===================================================================
RCS file: /cvsroot/squid/squid/src/Makefile.am,v
retrieving revision 1.26
diff -u -p -r1.26 Makefile.am
--- src/Makefile.am	24 Sep 2002 10:59:12 -0000	1.26
+++ src/Makefile.am	26 Sep 2002 18:48:01 -0000
@@ -46,6 +46,16 @@ UNLINKD = 
 UNLINKD_EXE =
 endif
 
+if ENABLE_PINGER
+PINGERSOURCE = pinger.c
+PINGER = pinger
+PINGER_EXE = pinger$(EXEEXT)
+else
+PINGERSOURCE = 
+PINGER = 
+PINGER_EXE =
+endif
+
 if ENABLE_SSL
 SSLSOURCE = ssl_support.c
 else
@@ -79,7 +89,7 @@ bin_PROGRAMS = \
 	squidclient
 
 libexec_PROGRAMS = \
-	@OPT_PINGER@ \
+	$(PINGER) \
 	$(DNSSERVER) \
 	$(UNLINKD) \
 	cachemgr$(CGIEXT)

